#!/bin/sh
#-----------------------------------------------------------#
# シェル名: network.sh
#-----------------------------------------------------------#
# 処理概要: ネットワークインターフェイスを有効化する 
#-----------------------------------------------------------#
# 2009/3/30 SoSO
#-----------------------------------------------------------#

# --------------------------------------------------------- #
# main
# --------------------------------------------------------- #

echo ""
echo " ■ ネットワークインターフェイスの有効化 (Fedora 10)"
echo ""
echo "　　システムの更新により利用できなくなったネットワークを"
echo "　　ふたたび利用できるよう設定いたします。"
echo ""
echo "    パッケージをアップデート後、再起動を行います。"
echo ""

LOCK_FILE=/var/lock/subsys/scustoma
if [ -f $LOCK_FILE ]; then
    echo " このスクリプトは、他のプロセスで実行中か、"
    echo " あるいは、前回の実行途中で中断した可能性があります。"
    echo 
    echo -n " 強制的に実行しますか? [y/n] "
else
    echo -n " 開始してもよろしいですか。[y/n] "
fi
touch $LOCK_FILE

read line
if [ "$line" != "y" ] && [ "$line" != "yes" ] && [ "$line" != "Y" ] && [ "$line" != "YES" ] ; then
		echo
    echo "中止しました。"
    rm -f $LOCK_FILE
    sleep 3
    exit
fi
echo

case $(uname -m) in
    i386 | i586 | i686)
        yum -y --disablerepo='*' localinstall ./i386/Packages/*.rpm
        echo
        echo " 設定が完了いたしました。"
        echo
    ;;
    x86_64)
        yum -y --disablerepo='*' localinstall ./x86_64/Packages/*.rpm
        echo
        echo " 設定が完了いたしました。"
        echo
    ;;

    *)
        echo
        echo "このアーキテクチャには対応しておりません。"
        echo
esac

echo
echo "Enter キーで再起動します。"
echo ""

read line
rm -f $LOCK_FILE

reboot 
